package cn.com.poc.thirdparty.resource.demand.ai.function.bing_web_search;

import cn.com.poc.agent_application.entity.Variable;
import cn.com.poc.thirdparty.resource.demand.ai.function.AbstractLargeModelFunction;
import cn.com.poc.thirdparty.resource.demand.ai.function.entity.FunctionLLMConfig;
import cn.com.poc.thirdparty.resource.demand.ai.function.entity.Parameters;
import cn.com.poc.thirdparty.resource.demand.ai.function.entity.Properties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/1/14
 */
@Component
public class BingWebSearchFunction extends AbstractLargeModelFunction {

    @Override
    public String doFunction(String content, String identifier) {
        return null;
    }

    @Override
    public String getDesc() {
        return null;
    }

    @Override
    public List<String> getLLMConfig() {
        return null;
    }

    @Override
    public List<String> getLLMConfig(List<Variable> variableStructure) {
        return null;
    }
}
